## Index

### Classes

- BoolModel
- BoxModel
- BoxView
- ButtonModel
- ButtonPWidget
- ButtonView
- CheckboxModel
- CheckboxView
- DOMWidgetModel
- DOMWidgetView
- ImageModel
- ImagePWidget
- ImageView
- ManagerBase
- PlaceProxyModel
- PlaceProxyView
- ProxyModel
- ProxyView
- ToggleButtonModel
- ToggleButtonView
- ValidModel
- ValidView
- ViewList
- WidgetModel
- WidgetView
- WrappedError

### Interfaces

- ModelOptions
- StateOptions

### Functions

- escape_html
- loadClass
- reject
- resolvePromisesDict
- typeset
- unpack_models
- uuid

## Functions

### escape_html

- escape_html(text: string): string

- - Defined in utils.ts:170

  escape text to HTML

  #### Parameters

  - ##### text: string

  #### Returns string

### loadClass

- loadClass(class_name: any, module_name: any, registry: any, require_error: any): Promise<any>

- - Defined in utils.ts:61

  Tries to load a class

  Tries to load a class from a module using require.js, if a module is specified, otherwise tries to load a class from the global registry, if the global registry is provided.

  The optional require_error argument is a function that takes the success handler and returns a requirejs error handler, which may call the success handler with a fallback module.

  #### Parameters

  - ##### class_name: any

  - ##### module_name: any

  - ##### registry: any

  - ##### require_error: any

  #### Returns Promise<any>

### reject

- reject(message: any, log: any): promiseRejection

- - Defined in utils.ts:136

  Creates a wrappable Promise rejection function.

  Creates a function that returns a Promise.reject with a new WrappedError that has the provided message and wraps the original error that caused the promise to reject.

  #### Parameters

  - ##### message: any

  - ##### log: any

  #### Returns promiseRejection

### resolvePromisesDict

- resolvePromisesDict(d: any): Promise<any>

- - Defined in utils.ts:113

  Resolve a promiseful dictionary. Returns a single Promise.

  #### Parameters

  - ##### d: any

  #### Returns Promise<any>

### typeset

- typeset(element: HTMLElement, text: string): void

- - Defined in utils.ts:156

  Apply MathJax rendering to an element, and optionally set its text.

  If MathJax is not available, make no changes.

  ## Parameters

  element: Node text: optional string

  #### Parameters

  - ##### element: HTMLElement

  - ##### text: string

  #### Returns void

### unpack_models

- unpack_models(value: any, manager: any): any

- - Defined in widget.ts:23

  Replace model ids with models recursively.

  #### Parameters

  - ##### value: any

  - ##### manager: any

  #### Returns any

### uuid

- uuid(): string

- - Defined in utils.ts:13

  http://www.ietf.org/rfc/rfc4122.txt

  #### Returns string

Generated using TypeDoc